%define modname igbinary
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Name:		php-%{modname}
Version:	2.0.8
Release:	%mkrel 2
Group:		Development/PHP
Summary:	PHP igbinary extension
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/igbinary
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		session.patch
BuildRequires:	php-devel >= 3:7.0.0
Requires:	php  >= 3:7.0.0

%description
Igbinary is a drop in replacement for the standard php serializer. Instead of
time and space consuming textual representation, igbinary stores php data
structures in a compact binary form. Savings are significant when using
memcached or similar memory based storages for serialized data.


%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
%autopatch -p1

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure2_5x --with-libdir=%{_lib} \
	--enable-%{modname}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/igbinary

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install src/php7/igbinary.h %{buildroot}%{_includedir}/php/ext/igbinary/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
; Use igbinary as session serializer
session.serialize_handler=igbinary
EOF

%files
%doc tests package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/igbinary/igbinary.h



%changelog
* Sun Nov 11 2018 mokraemer <mokraemer> 2.0.8-2.mga6
+ Revision: 1329561
- recompile
- php7 backport packages
- import php7 packages for backport
- updated requirement

* Sun Oct 21 2018 mokraemer <mokraemer> 2.0.8-1.mga7
+ Revision: 1323167
- new version 2.0.8

* Sun Sep 23 2018 umeabot <umeabot> 2.0.6-2.mga7
+ Revision: 1300223
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 mokraemer <mokraemer> 2.0.6-1.mga7
+ Revision: 1234462
- new version 2.0.6

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-3.mga7
+ Revision: 1183955
- make igbinary default serialize handler

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-2.mga7
+ Revision: 1183935
+ rebuild (emptylog)

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-1.mga7
+ Revision: 1183933
- new php-igbinary
- Created package structure for php-igbinary.

